> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/acron_der_anlagenchronist/wertebehandlung_messreihen.md).

# Value handling for measurement series

#### Difference from previous value

The difference relative to the previous value is formed in each case. According to the configured compression method, the individual differences are then compressed.

#### Counter difference <a href="#zaehlerdifferenz" id="zaehlerdifferenz"></a>

If the process variable is an ascending count value imported as such from a control system/PLC driver or as a manual entry, and in ACRON you want to evaluate the individual differences rather than the meter reading, you should check this checkbox. The "Overflow" field is only relevant if a meter overflow is possible during the service life of the plant. If the meter has a fixed overflow value (reading returns to 0), you can – as an option – enter the relevant value in the "Overflow" field

ACRON handles such values as follows:

The difference relative to the previous value is formed in each case.

If this difference is negative the overflow value is added. If no overflow value is specified, the negative difference is set to 0. As a result this then produces a slight inaccuracy, because the difference between two values in the write interval of the Provider could not be determined. If the previous value is not present in the preceding day, the result is zero.

In the following compression stages you can totalize the values to produce the "daily, monthly and annual consumption".

If a count value does not return to zero in the event of an overflow, but turns negative, you must use the "[MakeDWord](/acron-9.3/en/intro/funktionen/funk_logik.md#func_makedword)" function. This function interprets the parameters as unsigned 16-bit values and returns only positive values. Note that this produces twice the overflow value.

Note

If an overflow is entered in the 'Meter management' tab, the overflow value entered in the 'General'/ Process data linkage tab is ignored.

#### Consumption from container contents or scale

With this method ACRON approximates the consumption from a container with a level indicator or from a weighing scale or the like. For a container containing a liquid substance, with a level indicator attached, ACRON forms the negative difference between two consecutive measurements and determines the consumption from it. If the level rises due to topping-up, ACRON ignores the rise. So during filling no consumption can be determined.

But as the filling process usually only takes a short time, this inaccuracy can be ignored in many cases.

Under Hysteresis you can set a tolerance range to take account of fluctuations during measurement possibly resulting from vibration, or due to wind impact on an outdoor weighing scale.

Differences less than the hysteresis are not evaluated by ACRON.

#### Operating hours from status bits

If you are using an external variable to record a digital value indicating whether an entity is running (1 = motor running, 0 = motor off), you can employ this method to determine the elapsed time in hours.

[Delta Event recording](/acron-9.3/en/acron_der_anlagenchronist/datenaufzeichnungsverfahren.md#deltaeventaufzeichnung) should be used for this external variable. For very fast switching entities this method is too inaccurate however.

#### Integral, weighted sum

In this compression mode the area beneath the resultant value curve is determined. The time difference relative to the previous value in hours is multiplied by the value itself. In the next compression stage you can then totalize the values for example.

#### Use predecessor value

The entire value series is moved by one value. At each point in time in the value series the value is replaced by the predecessor value.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/acron_der_anlagenchronist/wertebehandlung_messreihen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
